
QGIS Application - Bug report #1164

Packaging error - Ubuntu Hardy 0.11.0

2008-07-17 11:39 AM - morgan -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11224

Description

Using Kubuntu 8.04.1 i386 from the qgis repo

The upgrade to 0.11.0 seems to have worked, but libqgis1-dev won't update.

Adept-updater says broken (conflict)

then, in the details, says:

Replaces: qgis-dev

Conflict: qgis-dev

Conflict: libqgis-dev

apt-get upgrade:

$ sudo apt-get upgrade

Reading package lists... Done

Building dependency tree

Reading state information... Done

You might want to run @apt-get -f install' to correct these.

The following packages have unmet dependencies:

  libqgis1-dev: Depends: qgis (= 0.10.0-6~hardy) but 0.11.0-1~hardy1 is installed

E: Unmet dependencies. Try using -f.

$ sudo apt-get -f install

Reading package lists... Done

Building dependency tree

Reading state information... Done

Correcting dependencies... Done

The following packages were automatically installed and are no longer required:

  libqgis-gui0.10 xserver-xorg-video-amd libflashsupport libqgisgrass0.10

  libdns32 linux-headers-2.6.24-17-generic libqgis-core0.10

  linux-headers-2.6.24-18-generic libgsl0 linux-headers-2.6.24-16-generic

  linux-headers-2.6.24-16 linux-headers-2.6.24-17 linux-headers-2.6.24-18

Use 'apt-get autoremove' to remove them.

The following extra packages will be installed:

  libqgis1-dev

The following packages will be upgraded:

  libqgis1-dev

1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/139kB of archives.

After this operation, 20.5kB of additional disk space will be used.

Do you want to continue [Y/n]?

WARNING: The following packages cannot be authenticated!

  libqgis1-dev

Install these packages without verification [y/N]? y

(Reading database ... 207250 files and directories currently installed.)

Preparing to replace libqgis1-dev 0.10.0-6~hardy (using .../libqgis1-dev_0.11.0-1~hardy1_i386.deb) ...

Unpacking replacement libqgis1-dev ...

dpkg: error processing /var/cache/apt/archives/libqgis1-dev_0.11.0-1~hardy1_i386.deb (--unpack):

 trying to overwrite @/usr/lib/libqgisgrass.so', which is also in package libqgisgrass0.10

Errors were encountered while processing:

 /var/cache/apt/archives/libqgis1-dev_0.11.0-1~hardy1_i386.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)

Associated revisions

Revision 3e7692cd - 2008-07-19 12:50 PM - Jürgen Fischer

another debian packaging update (fixes #1164)

git-svn-id: http://svn.osgeo.org/qgis/branches/Release-0_11_0@8816 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-07-19 03:50 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in

#2 - 2009-08-22 12:56 AM - Anonymous

Milestone Version 0.11.0 deleted
